import java.util.Scanner;
public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int brojS = sc.nextInt();
        int visinaP = sc.nextInt();
        int[] visinaS = new int[n];
        int rezultat = -1;
        for (int i = 0; i < n; i++) {
            visinaS[i] = sc.nextInt();
        }
        for (int i = 0; i < n; i++) {
            if (visinaP >= visinaS[i]) {
                rezultat = i + 1;
                break;
            }
        }
        System.out.println(rezultat);
    }
}